/*
Theme Name:   Twenty Twenty-One Child
Theme URI:    http://test-theme.com/twentytwentyone-child/
Description:  Twenty Twenty-One Child Theme. Test task for Andrew Bykovsky.
Author:       Andrew Bykovsky
Author URI:   http://andrew-bykovsky.com
Template:     twentytwentyone
Version:      1.0.0
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Tags:         light, dark, two-columns, right-sidebar, responsive-layout, accessibility-ready
Text Domain:  twentytwentyonechild
*/

.rw_olx-posts{
	padding: 80px 0;
    margin: 0;
    background-color: #fff;
}

.rw_olx-posts .container{
	width: 100%;
	max-width: 1600px;
	padding: 0 30px;
	margin: 0 auto;
}

.rw_olx-posts .rw_olx-posts--holder{
	display: grid;
    grid-template-columns: repeat(4, 1fr);
    column-gap: 30px;
  	row-gap: 30px;
}

.rw_olx-posts .rw_olx-item{
	width: 100%;
	box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
	border-radius: 10px;
}

.rw_olx-posts .rw_olx--image{
	width: 100%;
	height: auto;
	aspect-ratio: 16/9;
	background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
}

.rw_olx-posts .rw_olx--content{
	padding: 25px 20px 40px 20px;
}

.rw_olx-item .rw_olx--title h2{
	font-size: 25px;
	font-weight: 500;
	margin: 0 0 10px 0;
	display: -moz-box;
	-moz-box-orient: vertical;
	display: -webkit-box;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
	line-clamp: 2;
	overflow: hidden;
}

.rw_olx-item .rw_olx--title a,
.rw_olx-item .rw_olx--readmore a{
	text-decoration: none;
}

.rw_olx-item .rw_olx--title a:hover,
.rw_olx-item .rw_olx--readmore a:hover{
	text-decoration: underline;
}

.rw_olx-item .rw_olx--descr{
	font-size: 18px;
	margin: 0 0 20px 0;
}

.rw_olx-item .rw_olx--readmore{
	text-align: right;
	font-size: 16px;
}

.rw_olx-item .rw_olx--meta{
	font-size: 16px;
	margin: 0 0 20px 0;
	color: gray;
}

.rw_olx-posts .rw_olx-load-more{
	margin: 80px 0 0 0;
	text-align: center;
}

.rw_olx-posts .rw_olx-load-more a{
	text-decoration: none;
    border: 2px solid #000;
    padding: 10px 20px;
    border-radius: 5px;
}

.rw_olx-posts .rw_olx-load-more a:hover{
	background-color: #000;
	color: #fff;
}

.rw_olx-posts .rw_olx_loader img{
	width: 50px;
	height: auto;
	display: block;
	margin: 0 auto;
}

.rw_olx-posts .rw_olx_loader{
	margin: 80px 0 0 0;
	display: none;
}

/*Media*/

@media screen and (max-width: 1100px){
  .rw_olx-posts .rw_olx-posts--holder{
    grid-template-columns: repeat(2, 1fr);
  }
}

@media screen and (max-width: 600px){
	.rw_olx-posts .rw_olx-posts--holder{
    	grid-template-columns: repeat(1, 1fr);
  	}
  	.rw_olx-item .rw_olx--title h2{
  		font-size: 20px;
  	}
  	.rw_olx-item .rw_olx--meta{
  		font-size: 14px;
  	}
  	.rw_olx-item .rw_olx--descr{
  		font-size: 16px;
  	}
}